# JobService | windmill-client
Documentation for windmill-client

# Class JobService

- Defined in src/services.gen.ts:3734

#####
Index

### Constructors

constructor

### Methods

cancelAll
cancelPersistentQueuedJobs
cancelQueuedJob
cancelSuspendedJobGet
cancelSuspendedJobPost
createJobSignature
deleteCompletedJob
forceCancelQueuedJob
getCompletedCount
getCompletedJob
getCompletedJobResult
getCompletedJobResultMaybe
getDbClock
getFlowDebugInfo
getFlowUserState
getJob
getJobLogs
getJobUpdates
getLogFileFromStore
getQueueCount
getResumeUrls
getRootJobId
getSuspendedJobFlow
listCompletedJobs
listExtendedJobs
listJobs
listQueue
openaiSyncFlowByPath
openaiSyncScriptByPath
restartFlowAtStep
resultById
resumeSuspendedFlowAsOwner
resumeSuspendedJobGet
resumeSuspendedJobPost
runCodeWorkflowTask
runFlowByPath
runFlowPreview
runRawScriptDependencies
runScriptByHash
runScriptByPath
runScriptPreview
runWaitResultFlowByPath
runWaitResultScriptByPath
runWaitResultScriptByPathGet
setFlowUserState

##
Constructors

### constructor

- new JobService(): JobService

- #### Returns JobService

##
Methods

### `Static` cancelAll

- cancelAll(data): CancelablePromise < CancelAllResponse >

- cancel all jobs

  #### Parameters

  - data: CancelAllData

    The data for the request.

  #### Returns CancelablePromise < CancelAllResponse >

  string uuids of canceled jobs

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4310

### `Static` cancelPersistentQueuedJobs

- cancelPersistentQueuedJobs(data): CancelablePromise <string>

- cancel all queued jobs for persistent script

  #### Parameters

  - data: CancelPersistentQueuedJobsData

    The data for the request.

  #### Returns CancelablePromise <string>

  string persistent job scaled down to zero

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4697

### `Static` cancelQueuedJob

- cancelQueuedJob(data): CancelablePromise <string>

- cancel queued job

  #### Parameters

  - data: CancelQueuedJobData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job canceled

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4675

### `Static` cancelSuspendedJobGet

- cancelSuspendedJobGet(data): CancelablePromise <string>

- cancel a job for a suspended flow

  #### Parameters

  - data: CancelSuspendedJobGetData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job canceled

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4921

### `Static` cancelSuspendedJobPost

- cancelSuspendedJobPost(data): CancelablePromise <string>

- cancel a job for a suspended flow

  #### Parameters

  - data: CancelSuspendedJobPostData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job canceled

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4949

### `Static` createJobSignature

- createJobSignature(data): CancelablePromise <string>

- create an HMac signature given a job id and a resume id

  #### Parameters

  - data: CreateJobSignatureData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job signature

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4742

### `Static` deleteCompletedJob

- deleteCompletedJob(data): CancelablePromise < CompletedJob >

- delete completed job (erase content but keep run id)

  #### Parameters

  - data: DeleteCompletedJobData

    The data for the request.

  #### Returns CancelablePromise < CompletedJob >

  CompletedJob job details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4655

### `Static` forceCancelQueuedJob

- forceCancelQueuedJob(data): CancelablePromise <string>

- force cancel queued job

  #### Parameters

  - data: ForceCancelQueuedJobData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job canceled

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4719

### `Static` getCompletedCount

- getCompletedCount(data): CancelablePromise < GetCompletedCountResponse >

- get completed count

  #### Parameters

  - data: GetCompletedCountData

    The data for the request.

  #### Returns CancelablePromise < GetCompletedCountResponse >

  unknown completed count

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4293

### `Static` getCompletedJob

- getCompletedJob(data): CancelablePromise < CompletedJob >

- get completed job

  #### Parameters

  - data: GetCompletedJobData

    The data for the request.

  #### Returns CancelablePromise < CompletedJob >

  CompletedJob job details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4594

### `Static` getCompletedJobResult

- getCompletedJobResult(data): CancelablePromise <unknown>

- get completed job result

  #### Parameters

  - data: GetCompletedJobResultData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4613

### `Static` getCompletedJobResultMaybe

- getCompletedJobResultMaybe(data): CancelablePromise < GetCompletedJobResultMaybeResponse >

- get completed job result if job is completed

  #### Parameters

  - data: GetCompletedJobResultMaybeData

    The data for the request.

  #### Returns CancelablePromise < GetCompletedJobResultMaybeResponse >

  unknown result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4633

### `Static` getDbClock

- getDbClock(): CancelablePromise <number>

- get db clock

  #### Returns CancelablePromise <number>

  number the timestamp of the db that can be used to compute the drift

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4455

### `Static` getFlowDebugInfo

- getFlowDebugInfo(data): CancelablePromise <unknown>

- get flow debug info

  #### Parameters

  - data: GetFlowDebugInfoData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown flow debug info details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4575

### `Static` getFlowUserState

- getFlowUserState(data): CancelablePromise <unknown>

- get flow user state at a given key

  #### Parameters

  - data: GetFlowUserStateData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown flow user state updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4876

### `Static` getJob

- getJob(data): CancelablePromise < Job >

- get job

  #### Parameters

  - data: GetJobData

    The data for the request.

  #### Returns CancelablePromise < Job >

  Job job details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4471

### `Static` getJobLogs

- getJobLogs(data): CancelablePromise <string>

- get job logs

  #### Parameters

  - data: GetJobLogsData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4512

### `Static` getJobUpdates

- getJobUpdates(data): CancelablePromise < GetJobUpdatesResponse >

- get job updates

  #### Parameters

  - data: GetJobUpdatesData

    The data for the request.

  #### Returns CancelablePromise < GetJobUpdatesResponse >

  unknown job details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4533

### `Static` getLogFileFromStore

- getLogFileFromStore(data): CancelablePromise <unknown>

- get log file from object store

  #### Parameters

  - data: GetLogFileFromStoreData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown job log

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4556

### `Static` getQueueCount

- getQueueCount(data): CancelablePromise < GetQueueCountResponse >

- get queue count

  #### Parameters

  - data: GetQueueCountData

    The data for the request.

  #### Returns CancelablePromise < GetQueueCountResponse >

  unknown queue count

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4273

### `Static` getResumeUrls

- getResumeUrls(data): CancelablePromise < GetResumeUrlsResponse >

- get resume urls given a job_id, resume_id and a nonce to resume a flow

  #### Parameters

  - data: GetResumeUrlsData

    The data for the request.

  #### Returns CancelablePromise < GetResumeUrlsResponse >

  unknown url endpoints

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4767

### `Static` getRootJobId

- getRootJobId(data): CancelablePromise <string>

- get root job id

  #### Parameters

  - data: GetRootJobIdData

    The data for the request.

  #### Returns CancelablePromise <string>

  string get root job id

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4493

### `Static` getSuspendedJobFlow

- getSuspendedJobFlow(data): CancelablePromise < GetSuspendedJobFlowResponse >

- get parent flow job of suspended job

  #### Parameters

  - data: GetSuspendedJobFlowData

    The data for the request.

  #### Returns CancelablePromise < GetSuspendedJobFlowResponse >

  unknown parent flow details

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4978

### `Static` listCompletedJobs

- listCompletedJobs(data): CancelablePromise < ListCompletedJobsResponse >

- list all completed jobs

  #### Parameters

  - data: ListCompletedJobsData

    The data for the request.

  #### Returns CancelablePromise < ListCompletedJobsResponse >

  CompletedJob All completed jobs

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4348

### `Static` listExtendedJobs

- listExtendedJobs(data): CancelablePromise < ExtendedJobs >

- Get intervals of job runtime concurrency

  #### Parameters

  - data: ListExtendedJobsData

    The data for the request.

  #### Returns CancelablePromise < ExtendedJobs >

  ExtendedJobs time

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:5028

### `Static` listJobs

- listJobs(data): CancelablePromise < ListJobsResponse >

- list all jobs

  #### Parameters

  - data: ListJobsData

    The data for the request.

  #### Returns CancelablePromise < ListJobsResponse >

  Job All jobs

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4413

### `Static` listQueue

- listQueue(data): CancelablePromise < ListQueueResponse >

- list all queued jobs

  #### Parameters

  - data: ListQueueData

    The data for the request.

  #### Returns CancelablePromise < ListQueueResponse >

  QueuedJob All queued jobs

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4232

### `Static` openaiSyncFlowByPath

- openaiSyncFlowByPath(data): CancelablePromise <unknown>

- run flow by path and wait until completion in openai format

  #### Parameters

  - data: OpenaiSyncFlowByPathData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown job result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3902

### `Static` openaiSyncScriptByPath

- openaiSyncScriptByPath(data): CancelablePromise <unknown>

- run script by path in openai format

  #### Parameters

  - data: OpenaiSyncScriptByPathData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown job result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3789

### `Static` restartFlowAtStep

- restartFlowAtStep(data): CancelablePromise <string>

- restart a completed flow at a given step

  #### Parameters

  - data: RestartFlowAtStepData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4034

### `Static` resultById

- resultById(data): CancelablePromise <unknown>

- get job result by id

  #### Parameters

  - data: ResultByIdData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown job result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3962

### `Static` resumeSuspendedFlowAsOwner

- resumeSuspendedFlowAsOwner(data): CancelablePromise <string>

- resume a job for a suspended flow as an owner

  #### Parameters

  - data: ResumeSuspendedFlowAsOwnerData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job resumed

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4897

### `Static` resumeSuspendedJobGet

- resumeSuspendedJobGet(data): CancelablePromise <string>

- resume a job for a suspended flow

  #### Parameters

  - data: ResumeSuspendedJobGetData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job resumed

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4796

### `Static` resumeSuspendedJobPost

- resumeSuspendedJobPost(data): CancelablePromise <string>

- resume a job for a suspended flow

  #### Parameters

  - data: ResumeSuspendedJobPostData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job resumed

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4825

### `Static` runCodeWorkflowTask

- runCodeWorkflowTask(data): CancelablePromise <string>

- run code-workflow task

  #### Parameters

  - data: RunCodeWorkflowTaskData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4140

### `Static` runFlowByPath

- runFlowByPath(data): CancelablePromise <string>

- run flow by path

  #### Parameters

  - data: RunFlowByPathData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3992

### `Static` runFlowPreview

- runFlowPreview(data): CancelablePromise <string>

- run flow preview

  #### Parameters

  - data: RunFlowPreviewData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4187

### `Static` runRawScriptDependencies

- runRawScriptDependencies(data): CancelablePromise < RunRawScriptDependenciesResponse >

- run a one-off dependencies job

  #### Parameters

  - data: RunRawScriptDependenciesData

    The data for the request.

  #### Returns CancelablePromise < RunRawScriptDependenciesResponse >

  unknown dependency job result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4162

### `Static` runScriptByHash

- runScriptByHash(data): CancelablePromise <string>

- run script by hash

  #### Parameters

  - data: RunScriptByHashData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4077

### `Static` runScriptByPath

- runScriptByPath(data): CancelablePromise <string>

- run script by path

  #### Parameters

  - data: RunScriptByPathData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3751

### `Static` runScriptPreview

- runScriptPreview(data): CancelablePromise <string>

- run script preview

  #### Parameters

  - data: RunScriptPreviewData

    The data for the request.

  #### Returns CancelablePromise <string>

  string job created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4113

### `Static` runWaitResultFlowByPath

- runWaitResultFlowByPath(data): CancelablePromise <unknown>

- run flow by path and wait until completion

  #### Parameters

  - data: RunWaitResultFlowByPathData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown job result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3935

### `Static` runWaitResultScriptByPath

- runWaitResultScriptByPath(data): CancelablePromise <unknown>

- run script by path

  #### Parameters

  - data: RunWaitResultScriptByPathData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown job result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3826

### `Static` runWaitResultScriptByPathGet

- runWaitResultScriptByPathGet(data): CancelablePromise <unknown>

- run script by path with get

  #### Parameters

  - data: RunWaitResultScriptByPathGetData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown job result

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3867

### `Static` setFlowUserState

- setFlowUserState(data): CancelablePromise <string>

- set flow user state at a given key

  #### Parameters

  - data: SetFlowUserStateData

    The data for the request.

  #### Returns CancelablePromise <string>

  string flow user state updated

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:4853